
TYPO3.Flow - Bug # 36625

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Security
Created: 2012-04-26 Assigned To: Robert Lemke
Updated: 2012-04-28 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: PersistenceQueryRewritingAspect does not support count() correctly
Description

If the aspect intercepts a count() method and the result (because of lacking access rights) would be "none", the aspect returns an
EmptyQueryResult object which in turn can not be cast into an integer by the client code.

Associated revisions
Revision 21cf88e5 - 2012-04-27 19:14 - Robert Lemke

[BUGFIX] PersistenceQueryRewritingAspect now supports count(0)

If the aspect intercepted a count() method and the result (because
of lacking access rights) would be "none", the aspect returned an
EmptyQueryResult object which in turn could not be cast into an
integer by the client code.

This patch now correctly returns a 0 in that case.

Change-Id: I5cb67715c2cb1ed12df724f45d6e87446750701f
Fixes: #36625
Releases: 1.1

History
#1 - 2012-04-26 17:54 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10788

#2 - 2012-04-26 18:30 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10788

#3 - 2012-04-26 21:43 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10788
#4 - 2012-04-27 15:00 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10788

#5 - 2012-04-27 19:17 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10788

#6 - 2012-04-28 14:37 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:21cf88e55a2757ff928a784ec3aa867faf6cfa83.
